// DrawLine.h: interface for the CDrawLine class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DRAWLINE_H__05C011CE_112C_4640_8521_96AF8F83B958__INCLUDED_)
#define AFX_DRAWLINE_H__05C011CE_112C_4640_8521_96AF8F83B958__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DrawingNode.h"

class CDrawLine : public CDrawingNode  
{
	CPoint m_ptStart, m_ptEnd;

public:
	void OnMouseMove(CDC *pDC, UINT nFlags, CPoint point, CPoint scrolled);
	void OnLButtonUp(CDC *pDC, UINT nFlags, CPoint point, CPoint scrolled);
	void OnLButtonDown(CDC *pDC, UINT nFlags, CPoint point, CPoint scrolled);
	void Draw(CDC* pDC);
	CDrawLine();
	virtual ~CDrawLine();

};

#endif // !defined(AFX_DRAWLINE_H__05C011CE_112C_4640_8521_96AF8F83B958__INCLUDED_)
